unit LinkDetail;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Registry;

type
  TFormLinkDetail = class(TForm)
    Memo1: TMemo;
    Label1: TLabel;
    Label2: TLabel;
    Memo2: TMemo;
    Label3: TLabel;
    Memo3: TMemo;
    Label4: TLabel;
    Memo4: TMemo;
    Label5: TLabel;
    Memo5: TMemo;
    Label6: TLabel;
    Memo6: TMemo;
    Label7: TLabel;
    Memo7: TMemo;
    Label8: TLabel;
    Memo8: TMemo;
    Label9: TLabel;
    Memo9: TMemo;
    Memo10: TMemo;
    Label10: TLabel;
    Label11: TLabel;
    Memo11: TMemo;
    Label12: TLabel;
    Memo12: TMemo;
    Label13: TLabel;
    Memo13: TMemo;
    Label14: TLabel;
    Memo14: TMemo;
    Label15: TLabel;
    Memo15: TMemo;
    Label16: TLabel;
    Memo16: TMemo;
    Label17: TLabel;
    Memo17: TMemo;
    Label18: TLabel;
    Memo18: TMemo;
    procedure FormShow(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure Memo1Enter(Sender: TObject);
    procedure Memo1Exit(Sender: TObject);
  private
    { Private declarations }
    Reg: TRegistry;
    RKey: String;
  public
    { Public declarations }
  end;

var
  FormLinkDetail: TFormLinkDetail;

implementation

{$R *.dfm}

procedure TFormLinkDetail.FormShow(Sender: TObject);
var
  I: Integer;
begin
  Self.SetFocus;
  RKey := Caption;
  Reg := TRegistry.Create;
  Reg.RootKey := HKEY_CURRENT_USER;
  Reg.OpenKey(RKey,False);
  for I := 1 to 18 do begin
      if not Reg.ValueExists(FormatFloat('00',I)) then
         Reg.WriteString(FormatFloat('00',I),'');
      TMemo(FindComponent('Memo'+IntToStr(I))).Text := Reg.ReadString(FormatFloat('00',I));
  end;
end;

procedure TFormLinkDetail.FormClose(Sender: TObject;
  var Action: TCloseAction);
var
  I: Integer;
begin
  try
    for I := 1 to 18 do
        Reg.WriteString(FormatFloat('00',I),TMemo(FindComponent('Memo'+IntToStr(I))).Text);
  finally
    Reg.Free;
  end;
end;

procedure TFormLinkDetail.Memo1Enter(Sender: TObject);
begin
  with TMemo(Sender) do begin
       Color := clAqua;
       Height := 120;
       BringToFront;
  end;
end;

procedure TFormLinkDetail.Memo1Exit(Sender: TObject);
begin
  with TMemo(Sender) do begin
       Color := clWindow;
       Height := 24;
       BringToFront;
  end;
end;

end.
